Subject: Reminder: Datatracker maintenance outage Saturday 16 Jan 2021

From: Robert Sparks <[email-masked]>
Date: Fri, 8 Jan 2021 11:12:47 -0600

A reminder - the datatracker will be down 16 Jan for an extended period 
of maintenance as described below.

-------- Forwarded Message --------
Subject: 	Datatracker maintenance outage Saturday 16 Jan 2021
Date: 	Tue, 15 Dec 2020 14:11:13 -0600
From: 	Robert Sparks <[email-masked]>
To: 	[email-masked]

The datatracker will be down from 1600-2000 UTC on Saturday 16 Jan, 2021.

This extended outage is necessary to convert each timezone record in the 
datatracker's database from timezone-naive to be timezone-aware.

The current database has a mix of naive timestamps recorded implicitly 
in server-local time (PST8PDT, or America/LosAngeles), and naive 
timestamps recorded implicitly in meeting local time for various IETF 
meetings, making a value-by-value conversion taking the context of each 
record into account necessary.

This conversion will greatly simplify time calculations and presentation 
of information in different timezones going forward.

We currently anticipate being able to keep the authentication services 
running during this outage, so services like the imap server and codimd 
will allow logins during the transition.

Robert Sparks - Tools Team Project Manager

---

From: Robert Sparks <[email-masked]>
Date: Thu, 14 Jan 2021 14:12:06 -0600

We found an issue that requires deferring the timezone-aware migration. 
We will reschedule after it is addressed.

The scheduled outage below is cancelled.

On 1/8/21 11:12 AM, Robert Sparks wrote:
>
> A reminder - the datatracker will be down 16 Jan for an extended 
> period of maintenance as described below.
>
>
>
> This extended outage is necessary to convert each timezone record in 
> the datatracker's database from timezone-naive to be timezone-aware.
>
> meetings, making a value-by-value conversion taking the context of 
> each record into account necessary.
>
> This conversion will greatly simplify time calculations and 
> presentation of information in different timezones going forward.
>
> running during this outage, so services like the imap server and 
> codimd will allow logins during the transition.
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce